//TOURRUN JOB <job parameters>
//**********************************************************************
//* Licensed materials - Property of IBM
//* 5755-AC5 5724-T07 Copyright IBM Corp. 2023
//* All rights reserved
//* US Government users restricted rights  -  Use, duplication or
//* disclosure restricted by GSA ADP schedule contract with IBM Corp.
//*
//* A JCL that deletes existing input and output file for TOURFILE.cbl,
//* creates input sequential data <SYSUID>.IO.TOURFILE.INFILE set
//* for TOURFILE.cbl, and executes COBOL application TOURFILE.cbl.
//* You can submit this JCL to remote system after submitting the JCL
//* for compile and link (TOURBLD.jcl).
//*
//* CAUTION: This is neither a JCL procedure nor a complete job.
//* Before using this job step, you will have to make the following
//* modifications:
//*
//* 1) Add the job parameters to meet your system requirements.
//*
//* 2) Provide, in variable HLQ, the high-level qualifier(s) of the
//*    allocated data sets (default is your user ID).
//**********************************************************************
//* YOU CAN CHANGE HLQ AND LLQ FOR PDS
//        SET HLQ=&SYSUID.
//        SET LLQIN=IO.TOURFILE.INFILE
//        SET LLQOT=IO.TOURFILE.OUTFILE
//* DELETE EXISTING INPUT AND OUTPUT FILE
//DELETE  EXEC PGM=IEFBR14
//DDIN    DD DSN=&HLQ..&LLQIN,DISP=(MOD,DELETE,DELETE),
//           UNIT=SYSDA,SPACE=(CYL,(1,0))
//DDOT    DD DSN=&HLQ..&LLQOT,DISP=(MOD,DELETE,DELETE),
//           UNIT=SYSDA,SPACE=(CYL,(1,0))
//*
//* CREATE INPUT FILE WITH DATA
//CREATE   EXEC PGM=ICEGENER
//SYSUT1   DD *
A01ASIA-TOUR-1         0001300002
A01ASIA-TOUR-1         0001300004
E01EUROPE-TOUR-2       0002300007
/*
//SYSUT2   DD DSN=&HLQ..&LLQIN,
//            DISP=(,CATLG,DELETE),
//            UNIT=SYSDA,SPACE=(CYL,(1,1)),
//            DCB=(DSORG=PS,BLKSIZE=0,RECFM=FB,LRECL=33,EROPT=ACC)
//SYSPRINT DD SYSOUT=*
//SYSIN    DD DUMMY
//*
//* EXECUTE THE APPLICATION TOURFILE
//GO      EXEC PROC=ELAXFGO,GO=TOURFILE,
//        PARM='Y',
//        LOADDSN=&HLQ..COBOL.LOAD
//INFILE  DD DISP=SHR,DSN=&HLQ..&LLQIN
//OUTFILE DD DISP=(NEW,CATLG,DELETE),
//  SPACE=(TRK,(100,100),RLSE),
//  DCB=(DSORG=PS,BLKSIZE=0,RECFM=FB,LRECL=43,EROPT=ACC),
//  DSN=&HLQ..&LLQOT
//