<?xml version="1.0" encoding="UTF-8"?>

<!--
 ********************************************************************
 * IBM Rational Developer for System z
 * IBM z/OS Automated Unit Testing Framework (zUnit)
 * AZU20T10
 *
 * This XSL stylesheet can be used to convert a version 2.1.x.x
 * zUnit test runner result file (*.azures) to a version 2.0.x.x
 * zUnit test runner result file (*.azures).
 *
 * @since   14.1.0.0
 * @version 14.1.0.0
 ********************************************************************
-->

<xsl:stylesheet
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xslt"
    xmlns:v21="http://www.ibm.com/zUnit/2.1.0.0/TestRunner"
    xmlns:v20="http://www.ibm.com/zUnit/2.0.0.0/TestRunner"
    version="1.0">

    <xsl:output method="xml" encoding="UTF-8" indent="yes"
                standalone="yes" xalan:indent-amount="4"/>

    <xsl:template match="/">
        <xsl:apply-templates select="v21:RunnerResult"/>
    </xsl:template>

    <xsl:template match="v21:RunnerResult">
        <v20:RunnerResult>
            <xsl:attribute name="errors">
                <xsl:value-of select="@errors"/>
            </xsl:attribute>
            <xsl:attribute name="failures">
                <xsl:value-of select="@failures"/>
            </xsl:attribute>
            <xsl:attribute name="passed">
                <xsl:value-of select="@passed"/>
            </xsl:attribute>
            <xsl:attribute name="tests">
                <xsl:value-of select="@tests"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:options"/>
            <xsl:apply-templates select="v21:testCase"/>
        </v20:RunnerResult>
    </xsl:template>

    <xsl:template match="v21:options">
        <v20:options>
            <xsl:if test="@contOnTestCaseError">
                <xsl:attribute name="contOnTestCaseError">
                    <xsl:value-of select="@contOnTestCaseError"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@contOnTestCaseFail">
                <xsl:attribute name="contOnTestCaseFail">
                    <xsl:value-of select="@contOnTestCaseFail"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@contOnTestError">
                <xsl:attribute name="contOnTestError">
                    <xsl:value-of select="@contOnTestError"/>
                </xsl:attribute>
            </xsl:if>
            <xsl:if test="@contOnTestFail">
                <xsl:attribute name="contOnTestFail">
                    <xsl:value-of select="@contOnTestFail"/>
                </xsl:attribute>
            </xsl:if>
        </v20:options>
    </xsl:template>

    <xsl:template match="v21:testCase">
        <v20:testCase>
            <xsl:attribute name="elapsedTime">
                <xsl:value-of select="@elapsedTime"/>
            </xsl:attribute>
            <xsl:attribute name="endTimestamp">
                <xsl:value-of select="@endTimestamp"/>
            </xsl:attribute>
            <xsl:attribute name="errors">
                <xsl:value-of select="@errors"/>
            </xsl:attribute>
            <xsl:attribute name="failures">
                <xsl:value-of select="@failures"/>
            </xsl:attribute>
            <xsl:attribute name="id">
                <xsl:value-of select="@id"/>
            </xsl:attribute>
            <xsl:attribute name="elapsedTime">
                <xsl:value-of select="@elapsedTime"/>
            </xsl:attribute>
            <xsl:attribute name="moduleName">
                <xsl:value-of select="@moduleName"/>
            </xsl:attribute>
            <xsl:attribute name="name">
                <xsl:value-of select="@name"/>
            </xsl:attribute>
            <xsl:attribute name="passed">
                <xsl:value-of select="@passed"/>
            </xsl:attribute>
            <xsl:attribute name="result">
                <xsl:value-of select="@result"/>
            </xsl:attribute>
            <xsl:attribute name="startTimestamp">
                <xsl:value-of select="@startTimestamp"/>
            </xsl:attribute>
            <xsl:attribute name="tests">
                <xsl:value-of select="@tests"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:test"/>
            <xsl:apply-templates select="v21:ftest"/>
            <xsl:apply-templates select="v21:testExt"/>
            <xsl:apply-templates select="v21:ftestExt"/>
        </v20:testCase>
    </xsl:template>

    <xsl:template match="v21:test">
        <v20:test>
            <xsl:attribute name="elapsedTime">
                <xsl:value-of select="@elapsedTime"/>
            </xsl:attribute>
            <xsl:attribute name="endTimestamp">
                <xsl:value-of select="@endTimestamp"/>
            </xsl:attribute>
            <xsl:attribute name="name">
                <xsl:value-of select="@name"/>
            </xsl:attribute>
            <xsl:attribute name="result">
                <xsl:value-of select="@result"/>
            </xsl:attribute>
            <xsl:attribute name="startTimestamp">
                <xsl:value-of select="@startTimestamp"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:failure"/>
            <xsl:apply-templates select="v21:error"/>
        </v20:test>
    </xsl:template>

    <xsl:template match="v21:ftest">
        <v20:test>
            <xsl:attribute name="elapsedTime">
                <xsl:value-of select="@elapsedTime"/>
            </xsl:attribute>
            <xsl:attribute name="endTimestamp">
                <xsl:value-of select="@endTimestamp"/>
            </xsl:attribute>
            <xsl:attribute name="name">
                <xsl:value-of select="@name"/>
            </xsl:attribute>
            <xsl:attribute name="result">
                <xsl:value-of select="@result"/>
            </xsl:attribute>
            <xsl:attribute name="startTimestamp">
                <xsl:value-of select="@startTimestamp"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:failure"/>
            <xsl:apply-templates select="v21:error"/>
        </v20:test>
    </xsl:template>

    <xsl:template match="v21:testExt">
        <v20:test>
            <xsl:attribute name="elapsedTime">
                <xsl:value-of select="@elapsedTime"/>
            </xsl:attribute>
            <xsl:attribute name="endTimestamp">
                <xsl:value-of select="@endTimestamp"/>
            </xsl:attribute>
            <xsl:attribute name="name">
                <xsl:value-of select="@name"/>
            </xsl:attribute>
            <xsl:attribute name="result">
                <xsl:value-of select="@result"/>
            </xsl:attribute>
            <xsl:attribute name="startTimestamp">
                <xsl:value-of select="@startTimestamp"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:failure"/>
            <xsl:apply-templates select="v21:error"/>
        </v20:test>
    </xsl:template>
    
    <xsl:template match="v21:ftestExt">
        <v20:test>
            <xsl:attribute name="elapsedTime">
                <xsl:value-of select="@elapsedTime"/>
            </xsl:attribute>
            <xsl:attribute name="endTimestamp">
                <xsl:value-of select="@endTimestamp"/>
            </xsl:attribute>
            <xsl:attribute name="name">
                <xsl:value-of select="@name"/>
            </xsl:attribute>
            <xsl:attribute name="result">
                <xsl:value-of select="@result"/>
            </xsl:attribute>
            <xsl:attribute name="startTimestamp">
                <xsl:value-of select="@startTimestamp"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:failure"/>
            <xsl:apply-templates select="v21:error"/>
        </v20:test>
    </xsl:template>

    <xsl:template match="v21:failure">
        <v20:failure>
            <xsl:attribute name="componentCode">
                <xsl:value-of select="@componentCode"/>
            </xsl:attribute>
            <xsl:attribute name="message">
                <xsl:value-of select="@message"/>
            </xsl:attribute>
            <xsl:attribute name="messageNumber">
                <xsl:value-of select="@messageNumber"/>
            </xsl:attribute>
            <xsl:attribute name="messageSeverity">
                <xsl:value-of select="@messageSeverity"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:traceback"/>
        </v20:failure>
    </xsl:template>

    <xsl:template match="v21:error">
        <v20:failure>
            <xsl:attribute name="componentCode">
                <xsl:value-of select="@componentCode"/>
            </xsl:attribute>
            <xsl:attribute name="message">
                <xsl:value-of select="@message"/>
            </xsl:attribute>
            <xsl:attribute name="messageNumber">
                <xsl:value-of select="@messageNumber"/>
            </xsl:attribute>
            <xsl:attribute name="messageSeverity">
                <xsl:value-of select="@messageSeverity"/>
            </xsl:attribute>
            <xsl:apply-templates select="v21:traceback"/>
        </v20:failure>
    </xsl:template>

    <xsl:template match="v21:traceback">
        <v20:traceback>
            <xsl:attribute name="entryName">
                <xsl:value-of select="@entryName"/>
            </xsl:attribute>
            <xsl:if test="@statementID">
                <xsl:attribute name="statementID">
                    <xsl:value-of select="@statementID"/>
                </xsl:attribute>
            </xsl:if>
        </v20:traceback>
    </xsl:template>
</xsl:stylesheet>
